<?xml version="1.0" encoding="UTF-8"?>
<templates xml:space="preserve">
    <t t-name="sf_machine_connect.CodeField" owl="1">
            <div>
                <input t-ref="scan_code" t-att-id="props.id" t-att-type="props.inputType" t-att-placeholder="props.placeholder" class="barcode_button o_input"/>
                <button
                    t-on-click="onBarcodeBtnClick"
                    type="button"
                    class="btn ms-3 o_barcode"
                    tabindex="-1"
                    draggable="false"
                    aria-label="Scan barcode"
                    title="Scan barcode"
                    data-tooltip="Scan barcode"
                />
                </div>

</templates>
